﻿@using SharedCode.Localization
@model SharedCode.WebUI.Models.IForgotPasswordViewModel

@{
    ViewBag.Title = "ForgotPassword";
}

<body>
    @using (Html.BeginForm(controllerName: AppStrings.LoginControllerName, actionName: AppStrings.ForgotPasswordActionName, method: FormMethod.Post))
    {
        @Html.AntiForgeryToken()
        <div class="container login-container">
            <div class="row justify-content-center">
                <div class="col-md-6 login-form">
                    <h3>@LanguageStrings.ForgotPasswordPageTitle</h3>
                    <form>
                        <div class="form-group">
                            @Html.TextBoxFor(m => m.Email, new { @class = "form-control", @placeholder = LanguageStrings.AppUserModelEmail })
                        </div>
                        <div class="form-group">
                            @Html.ValidationMessageFor(m => m.Email, String.Empty, new { @style = "color:maroon;!important" })
                        </div>
                        <div class="form-group">
                            @if (TempData[AppStrings.EmailResetConfirmationMessageTag] != null)
                            {
                                <label style="color:maroon;"> @TempData[AppStrings.EmailResetConfirmationMessageTag] </label>
                            }
                        </div>
                        <div class="form-group">
                            <input type="submit" class="btnSubmit mr-1" value="@LanguageStrings.ForgotPasswordButtonTitle" />
                        </div>
                    </form>
                </div>
            </div>
        </div>
    }
</body>

